#include "widgets.h"


namespace Dict {

Entry::Entry(QWidget *parent)
	: QComboBox(parent)
{
	setEditable(true);
	setSizePolicy(QSizePolicy::Expanding, QSizePolicy::Fixed);
	setCompleter(0);
}

void Entry::define()
{
	emit activated(currentText());
}

void Entry::match()
{
	emit matchText(currentText());
}

}
